import * as grid from '../index';
import {expect} from "chai";
import 'mocha';

describe('grid init', () => {
    it('should return series array', () => {
        const result = grid.init({
            fields: ["t1", "t2"],
            columns: ["t1"],
            rows: ["t2"],
            dataset: [
                [12, "def"],
                [24, "abc"]
            ],
            cellWidth: 80,
            cellHeight: 30,
            canvasWidth: 1024,
            canvasHeight: 768,
            seriesOptions: {}
        });
        expect(result.series[0].data[0]).to.eq(12);
    });
});